# rsyncy

Watches files using `watchman`, synces them on each change with `rsync`.

```
$ brew install watchman
$ brew install rsync
$ npm install rsyncy -g
```

## Project configuration

```
$ touch `.rsyncy.js`
```

``` javascript
module.exports = {
  // source: '/Users/me/src/foo',
  target: 'username@server:/app/foo',
  exclude: [
    'node_modules',
    'bower_components',
    '.git',
    '.DS_Store',
    'tmp',
    'dist'
  ]
};
```

## Global configuration

```
$ touch ~/.rsyncy-global.js
```

``` javascript
module.exports = {
  '/Users/ampatspell/src/thing/webapp': {
    target: 'ampatspell@dev:/home/ampatspell/thing/webapp',
    exclude: [
      'node_modules',
      'bower_components',
      '.git',
      '.DS_Store',
      'tmp',
      'dist'
    ]
  },
  '/Users/ampatspell/src/thing/server': {
    target: 'ampatspell@dev:/home/ampatspell/thing/server',
    exclude: [
      '.git',
      '.DS_Store',
      'log',
      'tmp'
    ]
  }
};
```

## Run

```
$ rsyncy # watch and sync
$ rsyncy # only sync and exit
```

It is assumed that "master" is local copy, on each `rsyncy` start, all content is rsynced to remote location, afterwards only changed files are synced.

Tested and beeing used on OS X with Linux as a target. Not sure if this will work on Windows.
